> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List ProcedureRunCondition items

GET https://{tenant_name}.benchling.com/api/v3/procedure-run/{procedure_run_id}/conditions/items

List ProcedureRunCondition items.

Reference: https://docs.benchling.com/docs/api/benchling-api/procedure-run/conditions-list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `procedure_run_id` (string, required) — ID of the ProcedureRun.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `items` (list of ProcedureRunCondition, optional)

## Errors

### 400 Procedure Run Conditions List Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Procedure Run Conditions List Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Procedure Run Conditions List Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Procedure Run Conditions List Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 500 Procedure Run Conditions List Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### ProcedureRunCondition

A ProcedureRunCondition represents a configuration of the methods of a Procedure that is being executed within a ProcedureRun. The values associated with the ProcedureRunCondition are not exposed on the ProcedureRunCondition itself, but instead can be found by traversing: ProcedureRunCondition -> ProcedureRunConditionReplicate (pick any, since every replicate uses the same set of values) -> ProcedureMethodExecutionInstance (join all, since each method has its own set of values) -> ProcedureMethodDefinitionVersion -> ProcedureParameterValueSet ## Product mapping - In Benchling experiment setup, this maps to a **condition** (for example, "Condition 1"). - A condition captures one configuration of the run, while repeated executions of that condition are represented by `ProcedureRunConditionReplicate`.

- `__typename` (string, optional)
- `createdAt` (string, optional)
- `description` (string, optional) — The user-defined description of the condition.
- `id` (string, optional)
- `modifiedAt` (string, optional)
- `name` (string, optional) — The user-defined name of the condition. In M1, this is non-user-configurable and instead auto-generated, e.g. "Condition 1", "Condition 2", etc.
- `procedureRun` (ProcedureRunRef, optional) — The ProcedureRun that this condition is a part of.
- `procedureRunConditionReplicates` (string, optional) — The replicates of this condition, each representing an execution of a Procedure with the same configuration. The number of replicates is chosen by the user while designing their experiment, but must be at least 1.

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

### ProcedureRunRef

- `__typename` (string, optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "items": [
    {
      "__typename": "__typename",
      "createdAt": "createdAt",
      "description": "description",
      "id": "id",
      "modifiedAt": "modifiedAt",
      "name": "name",
      "procedureRunConditionReplicates": "procedureRunConditionReplicates"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/procedure-run/procedure_run_id/conditions/items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/procedure-run/procedure_run_id/conditions/items';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```